平臺的現行法律文字(條款、隱私權聲明、DPA 及其附件、開發者條款)
GET
/v1/legal
const url = 'https://api.vimine.network/v1/legal?locale=it';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/legal?locale=it'每種文件類型和語言各一項,均為今日現行版本。?all=1 會加上先前版本的存檔;?locale=it|en 限定語言。
參數
章節「參數」查詢參數
章節「查詢參數」locale
僅限此語言
string
all
設為 1 以包含先前的版本
string
回應
章節「回應」200
章節「200」文件清單
媒體類型application/json
object
documents
必填
Array<object>
object
uid
string 格式: uuid
kind
必填
文件類型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)
string
locale
必填
string
version
必填
版本標籤(1.0、1.1、…)
string
title
必填
string
summary
此版本的變更內容
string
effective_from
string 格式: date-time
retired_at
string 格式: date-time
sha256
規範化範本內文的 SHA-256
string
current
必填
這是該類型在其語言中的現行版本
boolean
requires_reacceptance
boolean
archive
先前的版本(使用 ?all=1 時)
Array<object>
object
uid
string 格式: uuid
kind
必填
文件類型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)
string
locale
必填
string
version
必填
版本標籤(1.0、1.1、…)
string
title
必填
string
summary
此版本的變更內容
string
effective_from
string 格式: date-time
retired_at
string 格式: date-time
sha256
規範化範本內文的 SHA-256
string
current
必填
這是該類型在其語言中的現行版本
boolean
requires_reacceptance
boolean
範例
{ "documents": [ { "locale": "it" } ], "archive": [ { "locale": "it" } ]}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}